﻿using System;

class Program
{
    static void Main()
    {
        string username = "admin";
        string password = "password";

        Console.WriteLine("Laundry Management System");
        Console.WriteLine("------------------------");

        // Login
        Console.Write("Enter username: ");
        string enteredUsername = Console.ReadLine();
        Console.Write("Enter password: ");
        string enteredPassword = Console.ReadLine();

        if (enteredUsername == username && enteredPassword == password)
        {
            Console.WriteLine("Welcome, {0}!", username);

            // Display menu
            Console.WriteLine("\nSelect an option:");
            Console.WriteLine("1 - Customer Info");
            Console.WriteLine("2 - Services Offered");
            Console.WriteLine("0 - Exit");

            // Get user input
            Console.Write("Enter option: ");
            string input = Console.ReadLine();

            // Validate input
            if (int.TryParse(input, out int option))
            {
                if (option == 1)
                {
                    CustomerInfo();
                }
                else if (option == 2)
                {
                    DisplayServices();

                    // Additional steps for service choice and payment
                    ProcessLaundryService();
                }
                else if (option == 0)
                {
                    Console.WriteLine("Exiting the program. Goodbye!");
                }
                else
                {
                    Console.WriteLine("Invalid option. Please try again.");
                }
            }
            else
            {
                Console.WriteLine("Invalid input. Please enter a valid option.");
            }
        }
        else
        {
            Console.WriteLine("Invalid username or password. Exiting program.");
        }
    }

    static void CustomerInfo()
    {
        Console.WriteLine("\nEnter customer details:");

        Console.Write("Name: ");
        string name = Console.ReadLine();

        Console.Write("Contact: ");
        string contact = Console.ReadLine();

        Console.Write("Address: ");
        string address = Console.ReadLine();

        Console.WriteLine("\nCustomer Information:");
        Console.WriteLine("Name: {0}", name);
        Console.WriteLine("Contact: {0}", contact);
        Console.WriteLine("Address: {0}", address);
    }

    static void DisplayServices()
    {
        Console.WriteLine("\nServices Offered:");

        // You can add more services and their prices as needed
        Console.WriteLine("1. Regular Wash - $5.00");
        Console.WriteLine("2. Dry Cleaning - $8.00");
        Console.WriteLine("3. Express Service - $10.00");
        // Add more services as needed
    }

    static void ProcessLaundryService()
    {
        Console.Write("\nEnter the service choice (1, 2, 3): ");
        if (int.TryParse(Console.ReadLine(), out int serviceChoice))
        {
            Console.Write("Enter the number of dresses: ");
            if (int.TryParse(Console.ReadLine(), out int numberOfDresses))
            {
                double totalAmount = CalculateTotalAmount(serviceChoice, numberOfDresses);

                Console.WriteLine("\nTotal Amount: ${0}", totalAmount);

                // Simulate payment process
                Console.Write("Enter payment amount: $");
                if (double.TryParse(Console.ReadLine(), out double paymentAmount) && paymentAmount >= totalAmount)
                {
                    Console.WriteLine("Payment successful. Thank you!");
                }
                else
                {
                    Console.WriteLine("Invalid payment amount. Payment failed.");
                }
            }
            else
            {
                Console.WriteLine("Invalid input for the number of dresses. Please enter a valid number.");
            }
        }
        else
        {
            Console.WriteLine("Invalid input for the service choice. Please enter a valid number.");
        }
        Console.ReadKey();
    }

    static double CalculateTotalAmount(int serviceChoice, int numberOfDresses)
    {
        // Prices for different services
        double[] servicePrices = { 5.00, 8.00, 10.00 };

        if (serviceChoice >= 1 && serviceChoice <= servicePrices.Length)
        {
            double servicePrice = servicePrices[serviceChoice - 1];
            return servicePrice * numberOfDresses;
        }
        else
        {
            Console.WriteLine("Invalid service choice. Unable to calculate total amount.");
            return 0;
        }
        Console.ReadKey();
    }
}
